Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in apache2
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in apache2
ID: openSUSE-SU-2020:0597-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.1
Datum: Sa, 2. Mai 2020, 08:44
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-1934
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-1938
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-1927
Applikationen: Apache

Originalnachricht

   openSUSE Security Update: Security update for apache2
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:0597-1
Rating: important
References: #1168404 #1168407 #1169066
Cross-References: CVE-2020-1927 CVE-2020-1934 CVE-2020-1938

Affected Products:
openSUSE Leap 15.1
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This update for apache2 fixes the following issues:

- CVE-2020-1934: mod_proxy_ftp may use uninitialized memory when proxying
to a malicious FTP server (bsc#1168404).
- CVE-2020-1927: mod_rewrite configurations vulnerable to open redirect
(bsc#1168407).
- CVE-2020-1938: mod_proxy_ajp: Add "secret" parameter to proxy
workers to
implement legacy AJP13 authentication (bsc#1169066).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2020-597=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

apache2-2.4.33-lp151.8.12.1
apache2-debuginfo-2.4.33-lp151.8.12.1
apache2-debugsource-2.4.33-lp151.8.12.1
apache2-devel-2.4.33-lp151.8.12.1
apache2-event-2.4.33-lp151.8.12.1
apache2-event-debuginfo-2.4.33-lp151.8.12.1
apache2-example-pages-2.4.33-lp151.8.12.1
apache2-prefork-2.4.33-lp151.8.12.1
apache2-prefork-debuginfo-2.4.33-lp151.8.12.1
apache2-utils-2.4.33-lp151.8.12.1
apache2-utils-debuginfo-2.4.33-lp151.8.12.1
apache2-worker-2.4.33-lp151.8.12.1
apache2-worker-debuginfo-2.4.33-lp151.8.12.1

- openSUSE Leap 15.1 (noarch):

apache2-doc-2.4.33-lp151.8.12.1


References:

https://www.suse.com/security/cve/CVE-2020-1927.html
https://www.suse.com/security/cve/CVE-2020-1934.html
https://www.suse.com/security/cve/CVE-2020-1938.html
https://bugzilla.suse.com/1168404
https://bugzilla.suse.com/1168407
https://bugzilla.suse.com/1169066

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung